Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0016244
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformcriticalalways2011-03-13 19:442011-03-16 00:00
Reporterdmitry_mezentsevView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision514ace302561
ProjectionnoneETAnoneTarget Version3.0RC5
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0016244: Currency field in transactional documents is not updated when Organization of the document is changed

DescriptionIf you change Organization of the transactional document (Sales/Purchase Order/Invoice), then price list is changed but currency of it is not transferred to the currency of the document.

Have a look at the screenshot.

In classic mode it works correctly.
Steps To Reproducelive.builds.pi

1. New Sales Invoice. Mention that Org. is F&B US, Pricelist is General Sales and Currency inherited from the pricelist is USD.
2. Change Organization to F&B Espana. Pricelist is changed to the one corresponding to the new Org. but currency stays the same.
3. If you then manually change pricelist to another one then currency is updated.

Initially I thought that maybe call-out does not work in a sequence: Org triggers PriceList update which triggers Currency. But I tried another sequence BP - PriceList - Currency and it works.

TagsNo tags attached.
Attached Filespng file icon Currency.png [^] (49,907 bytes) 2011-03-13 19:44

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00162373.0RC5 closedmtaal Window does not detect that all mandatory fields are filled in 

-  Notes
(0034770)
dmitry_mezentsev (developer)
2011-03-13 21:25

Not sure but I added the relation with 0016237 (looks similar).
(0034823)
hgbot (developer)
2011-03-14 18:00

Repository: erp/devel/pi
Changeset: 514ace302561e1f5ce6a01a2408961c5194e9a9f
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Mar 14 17:59:04 2011 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/514ace302561e1f5ce6a01a2408961c5194e9a9f [^]

Fixed issue 16244. Callouts will now also be executed when a ComboReload triggered by a FIC request in CHANGE mode occurs.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
---
(0034869)
iperdomo (developer)
2011-03-15 12:21

Tested on pi @ rev c8fbad03ca71

- Issue History
Date Modified Username Field Change
2011-03-13 19:44 dmitry_mezentsev New Issue
2011-03-13 19:44 dmitry_mezentsev Assigned To => mtaal
2011-03-13 19:44 dmitry_mezentsev Modules => Core
2011-03-13 19:44 dmitry_mezentsev File Added: Currency.png
2011-03-13 21:25 dmitry_mezentsev Relationship added related to 0016237
2011-03-13 21:25 dmitry_mezentsev Note Added: 0034770
2011-03-13 22:44 mtaal Assigned To mtaal => marvintm
2011-03-14 10:56 alostale Status new => scheduled
2011-03-14 18:00 hgbot Checkin
2011-03-14 18:00 hgbot Note Added: 0034823
2011-03-14 18:00 hgbot Status scheduled => resolved
2011-03-14 18:00 hgbot Resolution open => fixed
2011-03-14 18:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/514ace302561e1f5ce6a01a2408961c5194e9a9f [^]
2011-03-15 12:21 iperdomo Note Added: 0034869
2011-03-15 12:21 iperdomo Status resolved => closed
2011-03-16 00:00 anonymous sf_bug_id 0 => 3214411


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker